Subject: Clarification required Section 9.2.1 RFC 7432 on BGP MPLS-Based Ethernet VPN

From: sujay gupta <[email-masked]>
Date: Fri, 26 Aug 2016 22:56:23 -0700

Dear Authors,

In section 9.2.1, on "Constructing MAC/IP Advertisement"

The question or rather confirmation I have a question around is the below
statement;

The MPLS Label1 field is encoded as 3 octets, where the high-order
   20 bits contain the label value.  The MPLS Label1 MUST be downstream
   assigned, and it is associated with the MAC address being advertised
   by the advertising PE.

While this statement is correct and indeed should be the way.

The following paragraph "recommends" 4 different ways of implementing it;

1) Single Label for the entire MAC-VRF

2) Per MAC-VRF and Ethernet Tag combination

3) Per ESI and Ethernet Tag combination

4) One Label per MAC address.

The question is;

As my implementation can assign Labels per Attachment circuit; i.e per
ESI and sometimes only on

an Ethernet Tag basis as well sometimes in per ESI and Ethernet Tag combination.

But the implementation CANNOT do a EVPN Label per MAC-VRF.

I am of the belief that this is purely a local choice and does not
effect in any way

the protocol behavior.  The interpretation of the label is finally a
responsibility of the

advertising PE as long as the forwarding is taken care correctly.

Whereas for BUM and unknown traffic indeed, the inner Label should
have the entire domain level

applicability and advertised as per PMSI attributes depending upon
P-tree methods.

Is this understanding correct?

TIA,

-Sujay

---

From: "Rabadan, Jorge (Nokia - US)" <[email-masked]>
Date: Sat, 27 Aug 2016 15:01:40 +0000

Hi Sujay,

You may want to have a look at:

https://tools.ietf.org/html/draft-ietf-bess-evpn-usage-02#section-7

This draft is relevant to your discussion below. The label allocation is a local implementation matter; most of the implementations I’m aware of, use a label per MAC-VRF.

My 2 cents.
Jorge

On 8/26/16, 10:56 PM, "L2vpn on behalf of sujay gupta" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

Dear Authors,

The question or rather confirmation I have a question around is the below statement;

   by the advertising PE.

The question is;

As my implementation can assign Labels per Attachment circuit; i.e per ESI and sometimes only on

I am of the belief that this is purely a local choice and does not effect in any way

the protocol behavior.  The interpretation of the label is finally a responsibility of the

Whereas for BUM and unknown traffic indeed, the inner Label should have the entire domain level

applicability and advertised as per PMSI attributes depending upon P-tree methods.

TIA,

-Sujay

---

From: Sujay Gupta <[email-masked]>
Date: Sat, 27 Aug 2016 17:48:18 -0700

Thanks Jorge

Regards,

-Sujay

*From:* Rabadan, Jorge (Nokia - US) [mailto:[email-masked]]
*Sent:* Saturday, August 27, 2016 8:02 AM
*To:* sujay gupta; [email-masked]
*Cc:* [email-masked]; Sujay Gupta; BESS
*Subject:* Re: Clarification required Section 9.2.1 RFC 7432 on BGP
MPLS-Based Ethernet VPN

Hi Sujay,

This draft is relevant to your discussion below. The label allocation is a
local implementation matter; most of the implementations I’m aware of, use
a label per MAC-VRF.

My 2 cents.

Jorge

On 8/26/16, 10:56 PM, "L2vpn on behalf of sujay gupta" <
[email-masked] on behalf of [email-masked]> wrote:

Dear Authors,

   by the advertising PE.

The question is;

TIA,

-Sujay

-- 
.